XMLSchemaValidator.KeyRefValueStore (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.XMLSchemaValidator.KeyRefValueStore class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XMLSchemaValidator.KeyRefValueStore

    java.lang.Object
      org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
          org.apache.xerces.impl.xs.XMLSchemaValidator.KeyRefValueStore

All Implemented Interfaces:
  ValueStore

Enclosing class:
  XMLSchemaValidator

    protected class XMLSchemaValidator.KeyRefValueStore

extends XMLSchemaValidator.ValueStoreBase

Key reference value store.

Author:
  Andy Clark, IBM

Field Summary
`protected XMLSchemaValidator.ValueStoreBase` | `fKeyValueStore` Key value store.

Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fFieldCount, fFields, fIdentityConstraint, fItemValueTypes, fLocalItemValueTypes, fLocalValues, fLocalValueTypes, fValues, fValuesCount, fValueTypes`

Constructor Summary
`XMLSchemaValidator.KeyRefValueStore(KeyRef keyRef, XMLSchemaValidator.KeyValueStore keyValueStore)` Constructs a key value store.

Method Summary
`void` | `endDocument()` End document.
`void` | `endDocumentFragment()`

Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, checkDuplicateValues, clear, contains, contains, endValueScope, reportError, startValueScope, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fKeyValueStore

    protected XMLSchemaValidator.ValueStoreBase fKeyValueStore

  Key value store.

Constructor Detail

### XMLSchemaValidator.KeyRefValueStore

    public XMLSchemaValidator.KeyRefValueStore(KeyRef keyRef,
                                               XMLSchemaValidator.KeyValueStore keyValueStore)

  Constructs a key value store.

Method Detail

### endDocumentFragment

    public void endDocumentFragment()

  Overrides:
    `endDocumentFragment` in class `XMLSchemaValidator.ValueStoreBase`

### endDocument

    public void endDocument()

  End document.

  Overrides:
    `endDocument` in class `XMLSchemaValidator.ValueStoreBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.